This is the OpenGL version I have:

Code :
Video Card Vendor:    Intel
Renderer:             Intel(R) HD Graphics
OpenGL Version:       2.1.0 - Build 8.15.10.2622
GLU Version:          1.2.2.0 Microsoft Corporation

I'd like to know if I can programing in OpenGL 4+. Because I cannot update my card.